gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-exchange] branch master updated: fix #6483: ensure cleanup of pro


From: gnunet
Subject: [taler-exchange] branch master updated: fix #6483: ensure cleanup of processes on exit
Date: Wed, 19 Aug 2020 18:03:47 +0200

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository exchange.

The following commit(s) were added to refs/heads/master by this push:
     new a84c61dd fix #6483: ensure cleanup of processes on exit
a84c61dd is described below

commit a84c61dd82b17bc42593e5fd358cd0917d195f4f
Author: Christian Grothoff <christian@grothoff.org>
AuthorDate: Wed Aug 19 18:03:45 2020 +0200

    fix #6483: ensure cleanup of processes on exit
---
 src/auditor/test-auditor.sh    | 10 +++++++++-
 src/auditor/test-revocation.sh | 10 +++++++++-
 2 files changed, 18 insertions(+), 2 deletions(-)

diff --git a/src/auditor/test-auditor.sh b/src/auditor/test-auditor.sh
index edf5fec5..e7cdaa16 100755
--- a/src/auditor/test-auditor.sh
+++ b/src/auditor/test-auditor.sh
@@ -36,11 +36,19 @@ function exit_skip() {
 # Exit, with error message (hard failure)
 function exit_fail() {
     echo $1
+    exit 1
+}
+
+# Cleanup to run whenever we exit
+function cleanup()
+{
     kill `jobs -p` >/dev/null 2>/dev/null || true
     wait
-    exit 1
 }
 
+# Install cleanup handler (except for kill -9)
+trap cleanup EXIT
+
 
 # Operations to run before the actual audit
 function pre_audit () {
diff --git a/src/auditor/test-revocation.sh b/src/auditor/test-revocation.sh
index 1b5070a3..ac1f4dcc 100755
--- a/src/auditor/test-revocation.sh
+++ b/src/auditor/test-revocation.sh
@@ -36,11 +36,19 @@ function exit_skip() {
 # Exit, with error message (hard failure)
 function exit_fail() {
     echo $1
+    exit 1
+}
+
+# Cleanup to run whenever we exit
+function cleanup()
+{
     kill `jobs -p` >/dev/null 2>/dev/null || true
     wait
-    exit 1
 }
 
+# Install cleanup handler (except for kill -9)
+trap cleanup EXIT
+
 
 # Operations to run before the actual audit
 function pre_audit () {

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]